# Hyprlock Themed Config 💫 Matching EWW


general {
    grace = 2
    hide_cursor = true
    ignore_empty_input = true
}

auth {
    pam:module = sudo
    fingerprint:enabled = true
}

# per-monitor backgrounds written by ~/.config/scripts/wallpaper-picker
source = ~/.config/hypr/hyprlock-backgrounds.conf

input-field {
    monitor =
    size = 300, 60
    outline_thickness = 4
    dots_size = 0.5
    dots_spacing = 0.2
    dots_center = true
    hide_input = false
    placeholder_text = <i>Password...</i>

    position = 0, 20%
    halign = center
    valign = bottom

    # Accent border & color matching EWW
    inner_color = rgb(1a1a1a)
    font_color = rgb(b0b4bc)
    font_family = Agave Nerd Font Mono
}

# DATE
label {
    text = cmd[update:18000000] sh ~/Dotfiles/desktopenvs/hyprland/scripts/date.sh
    color = rgb(5018dd)
    font_size = 34
    font_family = Agave Nerd Font Mono
    position = 0, 40%
    halign = center
    valign = center
}

# TIME
label {
    text = cmd[update:1000] sh ~/Dotfiles/desktopenvs/hyprland/scripts/time.sh
    color = rgb(E40046)
    font_size = 95
    font_family = Agave Nerd Font Mono
    position = 0, 25%
    halign = center
    valign = center
}

# USER
label {
    text =    $USER
    color = rgb(5018dd)
    font_size = 18
    font_family = Agave Nerd Font Mono
    position = 0, 10%
    halign = center
    valign = bottom
}

# UPTIME
label {
    text = cmd[update:60000] sh ~/Dotfiles/desktopenvs/hyprland/scripts/uptime.sh
    font_size = 24
    color = rgb(5018dd)
    font_family = Agave Nerd Font Mono
    position = 0, 0
    halign = right
    valign = bottom
}

# BATTERY
label {
    text = cmd[update:10000] sh ~/Dotfiles/desktopenvs/hyprland/scripts/batteryperc
    color = rgb(5018dd)
    font_size = 24
    font_family = Agave Nerd Font Mono
    position = 50, 0
    halign = left
    valign = bottom
}

# PROFILE PICTURE OR LOGO
image {
    path = ~/Pictures/profile.jpg
    size = 230
    rounding = 110
    border_size = 4
    border_color = rgb(5018dd)
    rotate = 0
    position = 0, 40%
    halign = center
    valign = bottom
}


